> For the complete documentation index, see [llms.txt](https://api-docs.easyday.dk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.easyday.dk/core.md).

# Core

## GET /v1/core/channels

> Lists channels for the authenticated tenant.

```json
{"openapi":"3.1.1","info":{"title":"Easyday Tenant API","version":"v1"},"tags":[{"name":"Core"}],"paths":{"/v1/core/channels":{"get":{"tags":["Core"],"summary":"Lists channels for the authenticated tenant.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelVm"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelVm"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelVm"}}}}}}}}},"components":{"schemas":{"ChannelVm":{"required":["id","title"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"title":{"type":"string"},"description":{"type":["null","string"]}}}}}}
```

## GET /v1/core/countries

> Lists all platform countries.

```json
{"openapi":"3.1.1","info":{"title":"Easyday Tenant API","version":"v1"},"tags":[{"name":"Core"}],"paths":{"/v1/core/countries":{"get":{"tags":["Core"],"summary":"Lists all platform countries.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CountryVm"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CountryVm"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CountryVm"}}}}}}}}},"components":{"schemas":{"CountryVm":{"required":["id","title","countryCode","vat","isEU","isEEA","currencyId","languageId"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"title":{"type":"string"},"countryCode":{"type":"string"},"phonePrefix":{"type":["null","string"]},"vat":{"pattern":"^-?(?:0|[1-9]\\d*)(?:\\.\\d+)?$","type":["number","string"],"format":"double"},"isEU":{"type":"boolean"},"isEEA":{"type":"boolean"},"currencyId":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"languageId":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}}}}}}
```

## GET /v1/core/currencies

> Lists all platform currencies.

```json
{"openapi":"3.1.1","info":{"title":"Easyday Tenant API","version":"v1"},"tags":[{"name":"Core"}],"paths":{"/v1/core/currencies":{"get":{"tags":["Core"],"summary":"Lists all platform currencies.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CurrencyVm"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CurrencyVm"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CurrencyVm"}}}}}}}}},"components":{"schemas":{"CurrencyVm":{"required":["id","currencyCode"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"currencyCode":{"type":"string"},"description":{"type":["null","string"]}}}}}}
```

## GET /v1/core/groups

> Lists groups for the authenticated tenant, with their resolved group type.

```json
{"openapi":"3.1.1","info":{"title":"Easyday Tenant API","version":"v1"},"tags":[{"name":"Core"}],"paths":{"/v1/core/groups":{"get":{"tags":["Core"],"summary":"Lists groups for the authenticated tenant, with their resolved group type.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupVm"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupVm"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupVm"}}}}}}}}},"components":{"schemas":{"GroupVm":{"required":["id","groupTypeId","title"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"groupTypeId":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"groupTypeTitle":{"type":["null","string"]},"title":{"type":"string"},"description":{"type":["null","string"]}}}}}}
```

## GET /v1/core/languages

> Lists all active platform languages.

```json
{"openapi":"3.1.1","info":{"title":"Easyday Tenant API","version":"v1"},"tags":[{"name":"Core"}],"paths":{"/v1/core/languages":{"get":{"tags":["Core"],"summary":"Lists all active platform languages.","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LanguageVm"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LanguageVm"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LanguageVm"}}}}}}}}},"components":{"schemas":{"LanguageVm":{"required":["id","languageCode","countryCode","cultureCode","title","active"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"languageCode":{"type":"string"},"countryCode":{"type":"string"},"cultureCode":{"type":"string"},"title":{"type":"string"},"active":{"type":"boolean"}}}}}}
```
